Commit e2631035 authored by José María Fernández's avatar José María Fernández
Browse files

Added openblas , which was installed in montblanc

parent 71f8fa2d
AUX openblas-0.2.11-cpuid_x86.patch 667 SHA256 1e03323c4bc946e8227e14a6159e893b39d3233058f1c328be8560a34b1889b0 SHA512 39a0aa2df3b034019bf6e3457cb0a54981c4436d252a7483e58b6c8adb0953fcc03052fc22fef222d0221fb917f34e08bfede78e7c19248cdeff2f8b949de19d WHIRLPOOL f52c1ac786fbb4961e8f84ddd8e7c574ff5fbb83df564289c18ecaaa6e4ed653412c667cc795ec229c8fcd42f8c2379e303a2d295a3ef0651b0dcd9c4a732e26
AUX openblas-0.2.11-openblas_config_header_same_between_ABIs.patch 1315 SHA256 824c84c6a33bdc186a6817b01d6ae5554ba96deb3d2d63a0e2e9a1442404e9c1 SHA512 278e519ed53ccdeac6b62428176130b5013cc5af781d51b630beea19ad42b03e0c5543892b7c3ef84a60a25d3cde989f3d3a3133a2ff1c6ece5f91db0708f928 WHIRLPOOL bab5295a09efca4d23bd0e18f5720358ef22673f1c8b5caa5f55fbc427db19124b091734f85a11a833410373cde760860cb46299d4999e1235ce1014ddc16ade
DIST openblas-0.2.11-gentoo.patch 246353 SHA256 68c13526f37bf510f02961eb3a7918feb98f6bb10a0d888b8575b9146fd56c09 SHA512 4d8fcec9e44f873c31214d48492a171dd00dc18524a7ab51e51fa27c038b62bfd07be281b5af899943e10fb45c6d0b5b704ba3fa93c6bec74aca0a3a6c0f48ab WHIRLPOOL a4b1078f6ba06a6530a9267d950df8824abccd41aa432ce6568641329f828cc1abea7324f588b0b3d1d3339c36b79ea7147d64f0c8b27d12f87bf8be2a97e92a
DIST openblas-0.2.16.tar.gz 10613082 SHA256 8c70d09dfcc349ec81293e8c31baf3a65b2c11233feaf8cb9c48003a640f1ba3 SHA512 cc3f740d8fcfd8488fd5c80e346a8e5cd7862455eb1640a85eee234a8d40b4c3c7bc63d378e4a0593a8f12be811e4af8a938204d921c19f925e6c6f556a6b096 WHIRLPOOL 62a9d8d6ab6985a43b72535622d433297614a6164364d2b4c5f13bbdd43c640f6bcb829b0d289199a234137e752b2b00681bfc6f46c7ba85a580f18ace55d25f
DIST openblas-0.2.17.tar.gz 10611600 SHA256 3e18beaedeb244d03302780af921b82073c386ef9c5d356dcf5c5929edb93b44 SHA512 1b45fc70e0b099b6380a9c85f4a36b94c42c00a596ed2e09d27ea3a5f5f75996899406c2f335c8e38e3c2492bb06daf53eb99d7ab8a6badf1b90c124899b9acd WHIRLPOOL 86bdadc6f458c6029019c2bc1ca0d010c986dfbb3d5cb7a2c9cbfb805749511fa08c47c1128092374b4c7f47ba35370b1e634ed46c933b7d6d86025f8f5c941b
EBUILD openblas-0.2.16.ebuild 6563 SHA256 047911e14acb9faade97e5e21026bf16a48af53db0d2f895237b2127647be739 SHA512 eaf7156f94bc1d9af4ee50ce04ab3b963a745179784a8d06ac7e75481ed0fa9f095dc6900e497a0e6666e5439398f8e1782a1d28936909bb93995400ae7356e7 WHIRLPOOL 432e2e1190c487863fcf9792fc18481c23939bf79a98623003169c353dafef5d40d4e0b771deb73cd21e349b9e70d7b9bd2a262a865af75393ad80eaa23c4f2e
EBUILD openblas-0.2.17.ebuild 6563 SHA256 047911e14acb9faade97e5e21026bf16a48af53db0d2f895237b2127647be739 SHA512 eaf7156f94bc1d9af4ee50ce04ab3b963a745179784a8d06ac7e75481ed0fa9f095dc6900e497a0e6666e5439398f8e1782a1d28936909bb93995400ae7356e7 WHIRLPOOL 432e2e1190c487863fcf9792fc18481c23939bf79a98623003169c353dafef5d40d4e0b771deb73cd21e349b9e70d7b9bd2a262a865af75393ad80eaa23c4f2e
MISC metadata.xml 710 SHA256 c8a082e4c6da372d4e81d39c8c6b4fe8d22d786d6198f7b1a1c6bea1734def6b SHA512 60aa617590edd3c046f26698fe5a4e7a817fbe12c06e85018370724bace2a50e2e111daf362d3bde0b4c82352870acbc8d5d91a139810f5178aceeb15d907014 WHIRLPOOL d3966d84b33ddbdfc1aaf11b353fe5fe1213417dc075b1c18e678b22b72aec4642d8ac25474abb7c3d2127c4f7f43aac5bbfcb8421a5d872295587b3a2723df4
--- openblas-9999-orig/cpuid_x86.c 2014-02-23 15:25:22.199394761 +1100
+++ openblas-9999/cpuid_x86.c 2014-02-23 16:41:02.727372869 +1100
@@ -57,9 +57,23 @@
void cpuid(int op, int *eax, int *ebx, int *ecx, int *edx);
#else
static inline void cpuid(int op, int *eax, int *ebx, int *ecx, int *edx){
+#if __x86_64
__asm__ __volatile__
("cpuid": "=a" (*eax), "=b" (*ebx), "=c" (*ecx), "=d" (*edx) : "a" (op) : "cc");
-
+#else
+ __asm volatile(
+ "push %%ebx\n\t"
+ "cpuid\n\t"
+ "mov %%ebx, (%4)\n\t"
+ "pop %%ebx"
+ :"=a" (*eax),
+ "=c" (*ecx),
+ "=d" (*edx)
+ :"a" (op),
+ "cc"
+ "S" (ebx)
+ :"memory");
+#endif
}
#endif
--- openblas-0.2.11-orig/getarch_2nd.c 2014-08-18 13:16:14.000000000 +1000
+++ openblas-0.2.11/getarch_2nd.c 2014-09-01 23:44:07.070560148 +1000
@@ -64,13 +64,13 @@
if ((argc >= 2) && (*argv[1] == '1')) {
- printf("#define SLOCAL_BUFFER_SIZE\t%ld\n", (SGEMM_DEFAULT_Q * SGEMM_DEFAULT_UNROLL_N * 4 * 1 * sizeof(float)));
- printf("#define DLOCAL_BUFFER_SIZE\t%ld\n", (DGEMM_DEFAULT_Q * DGEMM_DEFAULT_UNROLL_N * 2 * 1 * sizeof(double)));
- printf("#define CLOCAL_BUFFER_SIZE\t%ld\n", (CGEMM_DEFAULT_Q * CGEMM_DEFAULT_UNROLL_N * 4 * 2 * sizeof(float)));
- printf("#define ZLOCAL_BUFFER_SIZE\t%ld\n", (ZGEMM_DEFAULT_Q * ZGEMM_DEFAULT_UNROLL_N * 2 * 2 * sizeof(double)));
+ printf("#define SLOCAL_BUFFER_SIZE\t(SGEMM_DEFAULT_Q*SGEMM_DEFAULT_UNROLL_N*4*1*sizeof(float))\n");
+ printf("#define DLOCAL_BUFFER_SIZE\t(DGEMM_DEFAULT_Q*DGEMM_DEFAULT_UNROLL_N*2*1*sizeof(double))\n");
+ printf("#define CLOCAL_BUFFER_SIZE\t(CGEMM_DEFAULT_Q*CGEMM_DEFAULT_UNROLL_N*4*2*sizeof(float))\n");
+ printf("#define ZLOCAL_BUFFER_SIZE\t(ZGEMM_DEFAULT_Q*ZGEMM_DEFAULT_UNROLL_N*2*2*sizeof(double))\n");
#ifdef USE64BITINT
- printf("#define USE64BITINT\n");
+/* printf("#define USE64BITINT\n"); */
#endif
printf("#define GEMM_MULTITHREAD_THRESHOLD\t%ld\n", (long int)GEMM_MULTITHREAD_THRESHOLD);
}
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD
version. See <pkg>sci-libs/gotoblas2</pkg> for more on GotoBLAS2.
</longdescription>
<use>
<flag name="int64">Build the 64 bits integer library</flag>
<flag name="dynamic">Build dynamic architecture detection at run time (for multi targets)</flag>
</use>
<upstream>
<remote-id type="github">xianyi/OpenBLAS</remote-id>
</upstream>
</pkgmetadata>
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
NUMERIC_MODULE_NAME="openblas"
inherit alternatives-2 eutils multilib numeric numeric-int64-multibuild
DESCRIPTION="Optimized BLAS library based on GotoBLAS2"
HOMEPAGE="http://xianyi.github.com/OpenBLAS/"
SRC_URI="
http://github.com/xianyi/OpenBLAS/tarball/v${PV} -> ${P}.tar.gz
http://dev.gentoo.org/~gienah/distfiles/${PN}-0.2.11-gentoo.patch"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x86-macos ~ppc-macos ~x64-macos"
IUSE="dynamic openmp static-libs threads"
RDEPEND=""
DEPEND="${RDEPEND}
virtual/pkgconfig"
MULTILIB_WRAPPED_HEADERS=(
/usr/include/openblas/cblas.h
/usr/include/openblas/f77blas.h
/usr/include/openblas/openblas_config.h
)
PATCHES=(
"${DISTDIR}"/${PN}-0.2.11-gentoo.patch
)
get_openblas_flags() {
local openblas_flags=()
use dynamic && \
openblas_flags+=( DYNAMIC_ARCH=1 TARGET=GENERIC NUM_THREADS=64 NO_AFFINITY=1 )
$(numeric-int64_is_int64_build) && \
openblas_flags+=( INTERFACE64=1 )
# choose posix threads over openmp when the two are set
# yet to see the need of having the two profiles simultaneously
if use threads; then
openblas_flags+=( USE_THREAD=1 USE_OPENMP=0 )
elif use openmp; then
openblas_flags+=( USE_OPENMP=1 )
fi
local profname=$(numeric-int64_get_module_name)
local libname="${profname//-/_}"
local underscoresuffix="${libname#${PN}}"
if [[ "${underscoresuffix}" != "_" ]]; then
local libnamesuffix="${underscoresuffix#_}"
openblas_flags+=( LIBNAMESUFFIX=${libnamesuffix} )
fi
[[ "${ABI}" == "x86" ]] && openblas_flags+=( BINARY=32 )
echo "${openblas_flags[@]}"
}
get_openblas_abi_cflags() {
local openblas_abi_cflags=()
if [[ "${ABI}" == "x86" ]]; then
openblas_abi_cflags=( -DOPENBLAS_ARCH_X86=1 -DOPENBLAS___32BIT__=1 )
else
openblas_abi_cflags=( -DOPENBLAS_ARCH_X86_64=1 -DOPENBLAS___64BIT__=1 )
fi
$(numeric-int64_is_int64_build) && \
openblas_abi_cflags+=( -DOPENBLAS_USE64BITINT )
echo "${openblas_abi_cflags[@]}"
}
src_unpack() {
default
find "${WORKDIR}" -maxdepth 1 -type d -name \*OpenBLAS\* && \
mv "${WORKDIR}"/*OpenBLAS* "${S}" || die
}
src_prepare() {
default
# lapack and lapacke are not modified from upstream lapack
sed \
-e "s:^#\s*\(NO_LAPACK\)\s*=.*:\1=1:" \
-e "s:^#\s*\(NO_LAPACKE\)\s*=.*:\1=1:" \
-i Makefile.rule || die
numeric-int64-multibuild_copy_sources
}
src_configure() {
blas_configure() {
local openblas_abi_cflags="$(get_openblas_abi_cflags)"
local internal_openblas_abi_cflags="${openblas_abi_cflags//OPENBLAS_}"
sed \
-e "s:^#\s*\(CC\)\s*=.*:\1=$(tc-getCC) $(get_abi_CFLAGS):" \
-e "s:^#\s*\(FC\)\s*=.*:\1=$(tc-getFC) $(get_abi_CFLAGS):" \
-e "s:^#\s*\(COMMON_OPT\)\s*=.*:\1=${CFLAGS} ${internal_openblas_abi_cflags}:" \
-i Makefile.rule || die
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir blas_configure
}
src_compile() {
# openblas already does multi-jobs
MAKEOPTS+=" -j1"
my_src_compile () {
local openblas_flags=$(get_openblas_flags)
# cflags already defined twice
unset CFLAGS || die
emake clean && emake libs shared ${openblas_flags}
mkdir -p libs && mv libopenblas* libs/ || die
# avoid pic when compiling static libraries, so re-compiling
if use static-libs; then
emake clean
emake libs ${openblas_flags} NO_SHARED=1 NEED_PIC=
mv libopenblas* libs/ || die
fi
# Fix Bug 524612 - [science overlay] sci-libs/openblas-0.2.11 - Assembler messages:
# ../kernel/x86_64/gemm_kernel_8x4_barcelona.S:451: Error: missing ')'
# The problem is applying this patch in src_prepare() causes build failures on
# assembler code as the assembler does not understand sizeof(float). So
# delay applying the patch until after building the libraries.
epatch "${FILESDIR}/${PN}-0.2.11-openblas_config_header_same_between_ABIs.patch"
rm -f config.h config_last.h || die
# Note: prints this spurious warning: make: Nothing to be done for 'config.h'.
emake config.h
cp config.h config_last.h || die
mv libs/libopenblas* . || die
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir my_src_compile
}
src_test() {
my_src_test () {
local openblas_flags=$(get_openblas_flags)
emake tests ${openblas_flags}
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir my_src_test
}
src_install() {
my_src_install() {
local openblas_flags=$(get_openblas_flags)
local profname=$(numeric-int64_get_module_name)
local pcfile
# The file /usr/include/openblas/openblas_config.h is generated during the install.
# The sed on config_last.h removes the #define's OPENBLAS_USE64BITINT
# OPENBLASS__32BIT__ OPENBLASS__64BIT__ OPENBLAS__ARCH_X86 OPENBLAS__ARCH_X86_64
# from /usr/include/openblas/openblas_config.h. We then specify it in Cflags in
# the /usr/lib64/pkg-config/openblas-int64-{threads,openmp}.pc file.
sed -e '/#define USE64BITINT/d' \
-e '/#define ARCH_X86/d' \
-e '/#define __\(32\|64\)BIT__/d' \
-i config_last.h \
|| die "Could not ensure there is no definition of USE64BITINT in config_last.h"
emake install \
PREFIX="${ED}"usr ${openblas_flags} \
OPENBLAS_INCLUDE_DIR="${ED}"usr/include/${PN} \
OPENBLAS_LIBRARY_DIR="${ED}"usr/$(get_libdir)
if ! use static-libs; then
rm "${ED}"usr/$(get_libdir)/lib*.a || die
fi
local openblas_abi_cflags=$(get_openblas_abi_cflags)
local openblas_abi_fflags=$(numeric-int64_get_fortran_int64_abi_fflags)
local libname="${profname//-/_}"
create_pkgconfig \
--name "${profname}" \
--libs "-L\${libdir} -l${libname}" \
--libs-private "-lm" \
--cflags "-I\${includedir}/${PN} ${openblas_abi_cflags}" \
${profname}
if [[ ${CHOST} == *-darwin* ]] ; then
cd "${ED}"/usr/$(get_libdir) || die
local d
for d in *.dylib; do
ebegin "Correcting install_name of ${d}"
install_name_tool -id "${EPREFIX}/usr/$(get_libdir)/${d}" "${d}" || die
eend $?
done
fi
if [[ ${#MULTIBUILD_VARIANTS[@]} -gt 1 ]]; then
multilib_prepare_wrappers
multilib_check_headers
fi
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir my_src_install
printf "/usr/include/cblas.h ${PN}/cblas.h" > "${T}"/alternative-cblas-generic.sh || die
numeric-int64-multibuild_install_alternative blas ${NUMERIC_MODULE_NAME}
numeric-int64-multibuild_install_alternative cblas ${NUMERIC_MODULE_NAME}
multilib_install_wrappers
dodoc GotoBLAS_{01Readme,03FAQ,04FAQ,05LargePage,06WeirdPerformance}.txt *md Changelog.txt
}
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
NUMERIC_MODULE_NAME="openblas"
inherit alternatives-2 eutils multilib numeric numeric-int64-multibuild
DESCRIPTION="Optimized BLAS library based on GotoBLAS2"
HOMEPAGE="http://xianyi.github.com/OpenBLAS/"
SRC_URI="
http://github.com/xianyi/OpenBLAS/tarball/v${PV} -> ${P}.tar.gz
http://dev.gentoo.org/~gienah/distfiles/${PN}-0.2.11-gentoo.patch"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x86-macos ~ppc-macos ~x64-macos"
IUSE="dynamic openmp static-libs threads"
RDEPEND=""
DEPEND="${RDEPEND}
virtual/pkgconfig"
MULTILIB_WRAPPED_HEADERS=(
/usr/include/openblas/cblas.h
/usr/include/openblas/f77blas.h
/usr/include/openblas/openblas_config.h
)
PATCHES=(
"${DISTDIR}"/${PN}-0.2.11-gentoo.patch
)
get_openblas_flags() {
local openblas_flags=()
use dynamic && \
openblas_flags+=( DYNAMIC_ARCH=1 TARGET=GENERIC NUM_THREADS=64 NO_AFFINITY=1 )
$(numeric-int64_is_int64_build) && \
openblas_flags+=( INTERFACE64=1 )
# choose posix threads over openmp when the two are set
# yet to see the need of having the two profiles simultaneously
if use threads; then
openblas_flags+=( USE_THREAD=1 USE_OPENMP=0 )
elif use openmp; then
openblas_flags+=( USE_OPENMP=1 )
fi
local profname=$(numeric-int64_get_module_name)
local libname="${profname//-/_}"
local underscoresuffix="${libname#${PN}}"
if [[ "${underscoresuffix}" != "_" ]]; then
local libnamesuffix="${underscoresuffix#_}"
openblas_flags+=( LIBNAMESUFFIX=${libnamesuffix} )
fi
[[ "${ABI}" == "x86" ]] && openblas_flags+=( BINARY=32 )
echo "${openblas_flags[@]}"
}
get_openblas_abi_cflags() {
local openblas_abi_cflags=()
if [[ "${ABI}" == "x86" ]]; then
openblas_abi_cflags=( -DOPENBLAS_ARCH_X86=1 -DOPENBLAS___32BIT__=1 )
else
openblas_abi_cflags=( -DOPENBLAS_ARCH_X86_64=1 -DOPENBLAS___64BIT__=1 )
fi
$(numeric-int64_is_int64_build) && \
openblas_abi_cflags+=( -DOPENBLAS_USE64BITINT )
echo "${openblas_abi_cflags[@]}"
}
src_unpack() {
default
find "${WORKDIR}" -maxdepth 1 -type d -name \*OpenBLAS\* && \
mv "${WORKDIR}"/*OpenBLAS* "${S}" || die
}
src_prepare() {
default
# lapack and lapacke are not modified from upstream lapack
sed \
-e "s:^#\s*\(NO_LAPACK\)\s*=.*:\1=1:" \
-e "s:^#\s*\(NO_LAPACKE\)\s*=.*:\1=1:" \
-i Makefile.rule || die
numeric-int64-multibuild_copy_sources
}
src_configure() {
blas_configure() {
local openblas_abi_cflags="$(get_openblas_abi_cflags)"
local internal_openblas_abi_cflags="${openblas_abi_cflags//OPENBLAS_}"
sed \
-e "s:^#\s*\(CC\)\s*=.*:\1=$(tc-getCC) $(get_abi_CFLAGS):" \
-e "s:^#\s*\(FC\)\s*=.*:\1=$(tc-getFC) $(get_abi_CFLAGS):" \
-e "s:^#\s*\(COMMON_OPT\)\s*=.*:\1=${CFLAGS} ${internal_openblas_abi_cflags}:" \
-i Makefile.rule || die
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir blas_configure
}
src_compile() {
# openblas already does multi-jobs
MAKEOPTS+=" -j1"
my_src_compile () {
local openblas_flags=$(get_openblas_flags)
# cflags already defined twice
unset CFLAGS || die
emake clean && emake libs shared ${openblas_flags}
mkdir -p libs && mv libopenblas* libs/ || die
# avoid pic when compiling static libraries, so re-compiling
if use static-libs; then
emake clean
emake libs ${openblas_flags} NO_SHARED=1 NEED_PIC=
mv libopenblas* libs/ || die
fi
# Fix Bug 524612 - [science overlay] sci-libs/openblas-0.2.11 - Assembler messages:
# ../kernel/x86_64/gemm_kernel_8x4_barcelona.S:451: Error: missing ')'
# The problem is applying this patch in src_prepare() causes build failures on
# assembler code as the assembler does not understand sizeof(float). So
# delay applying the patch until after building the libraries.
epatch "${FILESDIR}/${PN}-0.2.11-openblas_config_header_same_between_ABIs.patch"
rm -f config.h config_last.h || die
# Note: prints this spurious warning: make: Nothing to be done for 'config.h'.
emake config.h
cp config.h config_last.h || die
mv libs/libopenblas* . || die
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir my_src_compile
}
src_test() {
my_src_test () {
local openblas_flags=$(get_openblas_flags)
emake tests ${openblas_flags}
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir my_src_test
}
src_install() {
my_src_install() {
local openblas_flags=$(get_openblas_flags)
local profname=$(numeric-int64_get_module_name)
local pcfile
# The file /usr/include/openblas/openblas_config.h is generated during the install.
# The sed on config_last.h removes the #define's OPENBLAS_USE64BITINT
# OPENBLASS__32BIT__ OPENBLASS__64BIT__ OPENBLAS__ARCH_X86 OPENBLAS__ARCH_X86_64
# from /usr/include/openblas/openblas_config.h. We then specify it in Cflags in
# the /usr/lib64/pkg-config/openblas-int64-{threads,openmp}.pc file.
sed -e '/#define USE64BITINT/d' \
-e '/#define ARCH_X86/d' \
-e '/#define __\(32\|64\)BIT__/d' \
-i config_last.h \
|| die "Could not ensure there is no definition of USE64BITINT in config_last.h"
emake install \
PREFIX="${ED}"usr ${openblas_flags} \
OPENBLAS_INCLUDE_DIR="${ED}"usr/include/${PN} \
OPENBLAS_LIBRARY_DIR="${ED}"usr/$(get_libdir)
if ! use static-libs; then
rm "${ED}"usr/$(get_libdir)/lib*.a || die
fi
local openblas_abi_cflags=$(get_openblas_abi_cflags)
local openblas_abi_fflags=$(numeric-int64_get_fortran_int64_abi_fflags)
local libname="${profname//-/_}"
create_pkgconfig \
--name "${profname}" \
--libs "-L\${libdir} -l${libname}" \
--libs-private "-lm" \
--cflags "-I\${includedir}/${PN} ${openblas_abi_cflags}" \
${profname}
if [[ ${CHOST} == *-darwin* ]] ; then
cd "${ED}"/usr/$(get_libdir) || die
local d
for d in *.dylib; do
ebegin "Correcting install_name of ${d}"
install_name_tool -id "${EPREFIX}/usr/$(get_libdir)/${d}" "${d}" || die
eend $?
done
fi
if [[ ${#MULTIBUILD_VARIANTS[@]} -gt 1 ]]; then
multilib_prepare_wrappers
multilib_check_headers
fi
}
numeric-int64-multibuild_foreach_all_abi_variants run_in_build_dir my_src_install
printf "/usr/include/cblas.h ${PN}/cblas.h" > "${T}"/alternative-cblas-generic.sh || die
numeric-int64-multibuild_install_alternative blas ${NUMERIC_MODULE_NAME}
numeric-int64-multibuild_install_alternative cblas ${NUMERIC_MODULE_NAME}
multilib_install_wrappers
dodoc GotoBLAS_{01Readme,03FAQ,04FAQ,05LargePage,06WeirdPerformance}.txt *md Changelog.txt
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment